Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.eepic
Class EepicViewFactory.TextView

    java.lang.Object
      jpicedt.graphic.view.AbstractView
          jpicedt.graphic.view.DefaultViewFactory.LeafElementView
              jpicedt.graphic.view.DefaultViewFactory.TextView
                  jpicedt.format.output.eepic.EepicViewFactory.TextView

All Implemented Interfaces:
  View, ViewConstants

Enclosing class:
  EepicViewFactory

public class EepicViewFactory.TextView
extends DefaultViewFactory.TextView

a View for rendering Text's : only rectangular frame boxes (through \\makebox and rel.) are supported, + no filling + only black stroke. Alignment : - no frame : left, right or center ; top, bottom or center - frame : left + baseline. (i.e. \\framebox{text} doesn't allow alignment specification if the box size is to be computed by LaTeX itself)

Field Summary

Fields inherited from class jpicedt.graphic.view.DefaultViewFactory.TextView
`strx, stry, textLayout, tl2ModelTr`

Fields inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`interiorPaint, lineWidth, outlinePaint, outlineStroke, overStrikeWidth, shadowBounds, shape`

Fields inherited from class jpicedt.graphic.view.AbstractView
`bounds, element, highlighter`

Fields inherited from interface jpicedt.graphic.view.ViewConstants
`BARBELL_SIZE, CLICK_DISTANCE`

Constructor Summary
`EepicViewFactory.TextView(PicText te)` construct a new View for the given PicRectangle

Method Summary
`protected double` | `getRotation()` Returns the text rotation in radians : we return 0, since eepic doesn't support rotating text This is used by syncShape to compute the current tl2ModelTr AffineTransform
`protected void` | `syncFrame()` update frame shape : all frames are drawn as a rectangle
`protected void` | `syncStringLocationX()` update strx
`protected void` | `syncStringLocationY()` update stry

Methods inherited from class jpicedt.graphic.view.DefaultViewFactory.TextView
`changedUpdate, getTextLayout, getTextToModelTransform, hitTest, paint, syncBounds, syncShape`

Methods inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`getViewFactory, syncAttributes`

Methods inherited from class jpicedt.graphic.view.AbstractView
`getBounds, getContainer, getDrawing, getElement, getGraphics, getHighlighter, getParentView, hitTest, paintHighlighter, repaint, setElement, setHighlighter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EepicViewFactory.TextView

    public EepicViewFactory.TextView(PicText te)

  construct a new View for the given PicRectangle

Method Detail

### getRotation

    protected double getRotation()

  Returns the text rotation in radians : we return 0, since eepic doesn't support rotating text This is used by syncShape to compute the current tl2ModelTr AffineTransform

  Overrides:
    `getRotation` in class `DefaultViewFactory.TextView`

### syncFrame

    protected void syncFrame()

  update frame shape : all frames are drawn as a rectangle

  Overrides:
    `syncFrame` in class `DefaultViewFactory.TextView`

### syncStringLocationX

    protected void syncStringLocationX()

  update strx

  Overrides:
    `syncStringLocationX` in class `DefaultViewFactory.TextView`

### syncStringLocationY

    protected void syncStringLocationY()

  update stry

  Overrides:
    `syncStringLocationY` in class `DefaultViewFactory.TextView`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org